package com.zd.chemical.domain.vo;

import com.zd.chemical.domain.HxpAlarmConfig;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.hibernate.validator.constraints.Length;

import java.util.ArrayList;
import java.util.List;

/**
 * 化学品报警配置对象 hxp_alarm_config
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品报警配置")
public class HxpAlarmConfigVo {
    private static final long serialVersionUID = 1L;

    /**
     * 学院id
     */
    @Excel(name = "学院id")
    @ApiModelProperty(value = "学院id")
    private Long alarmDeptId;

    private List <HxpAlarmConfig> hxpAlarmConfigList = new ArrayList<>();

    public Long getAlarmDeptId() {
        return alarmDeptId;
    }

    public void setAlarmDeptId(Long alarmDeptId) {
        this.alarmDeptId = alarmDeptId;
    }

    public List <HxpAlarmConfig> getHxpAlarmConfigList() {
        return hxpAlarmConfigList;
    }

    public void setHxpAlarmConfigList(List <HxpAlarmConfig> hxpAlarmConfigList) {
        this.hxpAlarmConfigList = hxpAlarmConfigList;
    }
}
